id: ackee-panel

info:
  name: Ackee Panel - Detect
  author: userdehghani
  severity: info
  description: |
    self-hosted, node.js based analytics tool for those who care about privacy.
  reference:
    - https://ackee.electerious.com/
    - https://docs.ackee.electerious.com/
  metadata:
    verified: true
    max-request: 2
    shodan-query: http.favicon.hash:-1495233116
  tags: panel,ackee,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"
      - "{{BaseURL}}/favicon.ico"

    stop-at-first-match: true
    matchers:
      - type: dsl
        dsl:
          - 'status_code==200 && contains(tolower(body), "<title>ackee")'
          - "status_code==200 && (\"-1495233116\" == mmh3(base64_py(body)))"
        condition: or
# digest: 4b0a00483046022100eae0b41f7b6f200926febdcf2922893a1393e79e3350ed3a35a3521109628a7b022100c24c11b0543c564fbd080f0599dc40c7aeb123373b69314f5670ba7b39f36b98:922c64590222798bb761d5b6d8e72950